<?php
class Tool_Soapservernew extends SoapClient
{
    public function __doRequest($request, $location, $action, $version, $one_way = 0)
    {
        $request = parent::__doRequest($request, $location, $action, $version, $one_way);  

        $start = strpos($request, '<soap');//根据实际情况做处理。。。，如果是<?xml开头，改成<?xml
        $end = strrpos($request, '>');
        return substr($request, $start, $end-$start+1);
    }
}
?>